import { NativeShortcut } from "../shortcut/native-shortcut";
export interface Feedback {
    message: string;
    type: "success" | "danger" | "info" | "warning" | "loading";
}
export declare type CommandFunction = (cpEvent: KeyboardEvent) => Feedback | void;
export declare type ContextFunction = () => boolean;
export interface Command {
    run: CommandFunction;
    when?: ContextFunction;
}
export declare function isCommand(commandOrMap: Command | Map<NativeShortcut, Command>): commandOrMap is Command;
export declare function isShortcutMap(commandOrMap: Command | Map<NativeShortcut, Command>): commandOrMap is Map<NativeShortcut, Command>;
